Subject: Re: bug#50299: The check-tests-true lint check is incorrect for Emacs packages

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 11 Mar 2022 23:43:38 -0500

Hi Maxime,

Maxime Devos <[email-masked]> writes:

> This is the v4 patch, rebased.  No other changes.

I've tried to getting rid of as many lint warnings I could on each
package touched, got rid of the python2* packages touched, and squashed
many same-package/scope changes together.

Note that the latest available version of swi-prolog builds and test
fine, but fails to be cross-compiled, so I've left it as is; you may
want to investigate the upgrade.

Thank you,

Closing.

Maxim